Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006240 [JEDI VCL] 00 JVCL Components major always 2013-12-16 11:07 2015-09-14 13:20
Reporter ZENsan View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006240: TJvDBSpinEdit wrong appearance with MinValue/MaxValue
Description Set the DBSpinEdit to the DB field which is NULL. It display the empty box - that's correct.
Now once you set the MinValue to the say "-2" the value becomes -2 and not NULL anymore!
Additional Information I fixed that temporaly for me like this:
function TJvDBSpinEdit.GetValue: Extended;
begin
  FIsNull := Text = '';
  if FIsNull then
    Value := 0
  else
    Result := inherited GetValue;
  //FIsNull := (Text = '') and (Result = 0.0); - original code
end;
Tags No tags attached.
Attached Files zip file icon Projects.zip [^] (1,396 bytes) 2013-12-16 13:29

- Relationships

-  Notes
(0020861)
obones (administrator)
2013-12-16 13:11

Please provide the zipped sources of a sample application showing this
(0020885)
obones (administrator)
2013-12-18 15:51

This is now fixed in GIT

- Issue History
Date Modified Username Field Change
2013-12-16 11:07 ZENsan New Issue
2013-12-16 13:11 obones Note Added: 0020861
2013-12-16 13:11 obones Status new => feedback
2013-12-16 13:29 ZENsan File Added: Projects.zip
2013-12-16 17:52 obones Status feedback => acknowledged
2013-12-18 15:51 obones Note Added: 0020885
2013-12-18 15:51 obones Status acknowledged => resolved
2013-12-18 15:51 obones Fixed in Version => Daily / GIT
2013-12-18 15:51 obones Resolution open => fixed
2013-12-18 15:51 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker